Skip to main content
`Ctrl`+`K`

# PetscPDFSampleGaussian1D

Sample uniformly from a Gaussian distribution in 1D

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscPDFSampleGaussian1D(const PetscReal p[], const PetscReal dummy[], PetscReal x[])

Not Collective

## Input Parameters

- p - A uniform variable on \([0, 1]\)

- dummy - ignored

## Output Parameter

- x - Coordinate in \([-\infty, \infty]\)

## Note

See http://www.mimirgames.com/articles/programming/approximations-of-the-inverse-error-function and https://stackoverflow.com/questions/27229371/inverse-error-function-in-c

## See Also

`PetscPDFGaussian2D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages